> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get corner store information

> Gets a corner store by external Id

<RequestExample>
  ```bash Request theme={null}
  curl --request GET 
  --location 'https://staging-api.propaga.io/v1/corner-store/external/{externalId}' 
  --header 'Authorization: <your_awesome_token>'
  --header 'Content-Type: application/json'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "userId": "3b275b2f-3b40-4ff2-86ff-2499de0cdcfa",
      "cornerStoreId": "8921a1e9-7998-4a0a-80e3-2fa18fb11edf",
      "status": "approved",
      "creditLimitAvailable": 2000
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="externalId" type="string" required>
  Wholesaler's customer ID
</ParamField>

## Response

<ResponseField name="userId" type="string">
  Propaga's user id
</ResponseField>

<ResponseField name="cornerStoreId" type="string">
  Propaga's corner store id
</ResponseField>

<ResponseField name="status" type="string">
  Current status for the customer (pre-approved, approved, in-payment-default, in-manual-validation)
</ResponseField>

<ResponseField name="creditLimitAvailable" type="number">
  Credit limit available for purchases
</ResponseField>

## Error codes

<ResponseField>
  ```json Corner store not found (404) theme={null}
  {
      "errorCode": "CORNER_STORE_NOT_FOUND",
      "errorMessage": "Corner store id not found"
  }
  ```

  ```json User is undergoing internal validations (412) theme={null}
  {
      "errorCode": "USER_IS_IN_INTERNAL_VALIDATION",
      "errorMessage": "The user is currently in the process of internal validation"
  }
  ```
</ResponseField>
